> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Start chat

> Starts a chat. The method updates the requester's `events_seen_up_to` as if they've seen all chat events.



## OpenAPI

````yaml /api/customer-chat/v3.6/openapi.json post /action/start_chat
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/start_chat:
    post:
      tags:
        - Chats
      summary: Start chat
      description: >-
        Starts a chat. The method updates the requester's `events_seen_up_to` as
        if they've seen all chat events.
      operationId: start-chat
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartChatRequest'
            example: {}
      responses:
        '200':
          description: Chat started.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StartChatResponse'
              example:
                chat_id: PJ0MRSHTDG
                thread_id: PGDGHT5G
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    StartChatRequest:
      type: object
      properties:
        chat:
          type: object
          description: '[Chat object](/api/customer-chat/v3.6/data-structures#chats).'
          properties:
            properties:
              $ref: '#/components/schemas/Properties'
              description: The initial chat properties.
            access:
              $ref: '#/components/schemas/Access'
              description: 'The chat access to set. Default: all agents.'
            thread:
              type: object
              description: >-
                [Thread
                object](/api/customer-chat/v3.6/data-structures#threads).
              properties:
                events:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
                  description: >-
                    The initial chat events array. Does not support the `form`
                    type event in the Text app.
                properties:
                  $ref: '#/components/schemas/Properties'
                  description: The initial thread properties.
        active:
          type: boolean
          default: true
          description: >-
            If set to `true`: creates an active thread. If set to `false`:
            creates an inactive thread.
        continuous:
          type: boolean
          default: false
          description: >-
            If set to `true`: starts the chat as continuous (online group is not
            required). If set to `false`: starts the chat as non-continuous.
    StartChatResponse:
      type: object
      properties:
        chat_id:
          type: string
          description: The chat ID.
        thread_id:
          type: string
          description: The thread ID.
        event_ids:
          type: array
          items:
            type: string
          description: >-
            Returned only when the chat was started with initial events. Returns
            only the IDs of user-generated events; server-side generated events
            are not included in the array.
    Properties:
      type: object
      additionalProperties: true
      description: Properties object.
    Access:
      type: object
      properties:
        group_ids:
          type: array
          items:
            type: integer
          description: The group IDs. `0` means all agents can see it.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````